rstacruz rstacruz

sinatra-assetpack

4 12 1

Package your assets transparently in Sinatra.

You have 1 open security alert

Dependencies

Package Locked Requirement Latest Status Changelog
Gems jsmin 1.0.1 >= 0 1.0.1

jsmin version 1.0.1

Ruby implementation of Douglas Crockford's JSMin JavaScript minifier.

This dependency is up-to-date. Congrats and keep going!

Gems rack-test 0.6.3 >= 0 0.6.3

rack-test version 0.6.3

Rack::Test is a small, simple testing API for Rack apps. It can be used on its own or as a reusable starting point for Web frameworks and testing libraries to build on. Most of its initial functionality is an extraction of Merb 1.0's request helpers feature.

This dependency is up-to-date. Congrats and keep going!

Gems sinatra 1.4.6 >= 0 1.4.8

sinatra version 1.4.6

Sinatra is a DSL for quickly creating web applications in Ruby with minimal effort.

This dependency is not matching latest version. Please consider upgrading.

Gems tilt 1.4.1 < 2.0, >= 1.3.0 2.0.7

tilt version 1.4.1

Generic interface to multiple Ruby template engines

This dependency is not matching latest version. Please consider upgrading.

Package Locked Requirement Latest Status Changelog
Gems awesome_print 1.2.0 >= 0 1.7.0

awesome_print version 1.2.0

Great Ruby dubugging companion: pretty print Ruby objects to visualize their structure. Supports custom object formatting via plugins

This dependency is not matching latest version. Please consider upgrading.

Gems coffee-script 2.2.0 >= 0 2.4.1

coffee-script version 2.2.0

Ruby CoffeeScript is a bridge to the JS CoffeeScript compiler.

This dependency is not matching latest version. Please consider upgrading.

Gems contest 0.1.3 >= 0 0.1.3

contest version 0.1.3

Write declarative tests using nested contexts without performance penalties. Contest is less than 100 lines of code and gets the job done.

This dependency is up-to-date. Congrats and keep going!

Gems debugger 1.6.5 >= 0 1.6.8

debugger version 1.6.5

debugger is a fast implementation of the standard Ruby debugger debug.rb. It is implemented by utilizing a new Ruby C API hook. The core component provides support that front-ends can build on. It provides breakpoint handling, bindings for stack frames among other things.

This dependency is not matching latest version. Please consider upgrading.

Gems gem-release 0.7.1 >= 0 2.0.0

gem-release version 0.7.1

Release your ruby gems with ease. (What a bold statement for such a tiny plugin ...)

This dependency is not matching latest version. Please consider upgrading.

Gems haml 4.0.5 >= 0 4.0.7

haml version 4.0.5

Haml (HTML Abstraction Markup Language) is a layer on top of HTML or XML that's designed to express the structure of documents in a non-repetitive, elegant, and easy way by using indentation rather than closing tags and allowing Ruby to be embedded with ease. It was originally envisioned as a plugin for Ruby on Rails, but it can function as a stand-alone templating engine.

This dependency is not matching latest version. Please consider upgrading.

Gems less 2.4.0 >= 0 2.6.0

less version 2.4.0

Invoke the Less CSS compiler from Ruby

This dependency is not matching latest version. Please consider upgrading.

Gems mocha 0.14.0 = 0.14.0 1.2.1

mocha version 0.14.0

Mocking and stubbing library with JMock/SchMock syntax, which allows mocking and stubbing of methods on real (non-mock) classes.

This dependency is not matching latest version. Please consider upgrading.

Gems rake 10.1.1 >= 0 12.0.0

rake version 10.1.1

Rake is a Make-like program implemented in Ruby. Tasks and dependencies are specified in standard Ruby syntax. Rake has the following features: * Rakefiles (rake's version of Makefiles) are completely defined in standard Ruby syntax. No XML files to edit. No quirky Makefile syntax to worry about (is that a tab or a space?) * Users can specify tasks with prerequisites. * Rake supports rule patterns to synthesize implicit tasks. * Flexible FileLists that act like arrays but know about manipulating file names and paths. * Supports parallel execution of tasks.

This dependency is not matching latest version. Please consider upgrading.

Gems sass 3.2.13 >= 0 3.4.23

sass version 3.2.13

Sass makes CSS fun again. Sass is an extension of CSS, adding nested rules, variables, mixins, selector inheritance, and more. It's translated to well-formatted, standard CSS using the command line tool or a web-framework plugin.

This dependency is not matching latest version. Please consider upgrading.

Gems stylus 1.0.0 >= 0 1.0.2

stylus version 1.0.0

Bridge library to compile .styl stylesheets from ruby code.

This dependency is not matching latest version. Please consider upgrading.

Gems uglifier 2.4.0 >= 0 3.2.0

uglifier version 2.4.0

Uglifier minifies JavaScript files by wrapping UglifyJS to be accessible in Ruby

Gems yui-compressor 0.12.0 >= 0 0.12.0

yui-compressor version 0.12.0

A Ruby interface to YUI Compressor for minifying JavaScript and CSS assets.

This dependency is up-to-date. Congrats and keep going!